// pages/user/user.js
const app = getApp()
var host = app.globalData.host;
const $api = require('../../utils/api.js').API;
var logindata={}
const defaultAvatarUrl = '../../images/userdefault.png'

Page({

  /**
   * 页面的初始数据
   */
  data: {
    usercode: '',
    phone:'',
    phcode:'',
    openid: '',
    info: {},
    userinfo:{},
    todayinfo:{},
    todayMoney:'',
    status:0,
    text:'获取验证码',
    player_type:0,
    signinfo:{},
    avatarUrl: defaultAvatarUrl,
    nickName:'',
    openid:'',
    unionid:'',

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if(options.type){
      this.setData({
        status:options.type,
        player_type:options.player_type
      })
    }
    // $api.getsignup().then(res=>{
    //   this.setData({
    //     signinfo:res.data.data
    //   })
    // })
  },
  onShow: function () {
    wx.hideHomeButton();
  },
  zx(){
    wx.navigateTo({
      url: '../message/message',
    })
  },
  getcode(){
    if(this.data.phone.length>=11){
      $api.sendcode({phone:this.data.phone}).then(res=>{
        this.countdown()
      })
    }else{
      wx.showToast({
        icon: 'none',
        title: '请输入正确的手机号',
      })
    }
    
  },
  countdown(){
    var count=60,_this=this;
    var timer=setInterval(c,1000)
    function c(){
      if(count>0){
        count--;
        _this.setData({
          text:count+"s重新发送"
        })
      }else{
        _this.setData({
          text:'获取验证码'
        })
        clearInterval(timer)
      }
    }
    
    
    
  },

  onChooseAvatar(e) {
    const { avatarUrl } = e.detail 
    this.setData({
      avatarUrl,
    })

    this.uploadImg(this.data.avatarUrl)
  },
  
  nameChange(e){
    this.setData({
      nickName: e.detail.value
    })
  },

  inputchange(e) {
    this.setData({
      phone: e.detail.value
    })
  },
  codechange(e) {
    this.setData({
      phcode: e.detail.value
    })
  },
  logout() {
    wx.removeStorage({
      key: 'userInfo'
    })
    wx.setNavigationBarTitle({
      title: '登录',
    })
    this.setData({
      userinfo: {},
      usercode: ''
    })
  },
  /**登陆 */
  login: function () {
    this.islogin();

  },

  register(e){
    if(this.data.avatarUrl == defaultAvatarUrl){
      wx.showToast({
        icon: 'none',
        title: '请选择头像',
      })
      return
    }

    if(this.data.nickName == ''){
      wx.showToast({
        icon: 'none',
        title: '请输入昵称',
      })
      return
    }

    this.wxlogin()
  },
  
  islogin(){
    var _this=this;
    wx.showLoading({
      title: '正在登陆',
    })
 
    wx.login({
      success(res) {
        //获取code
        $api.getOpenid({ code: res.code})
        .then(res => {
          //获取openid
          if (res.data.code != 0) {
            wx.showToast({
              icon: 'none',
              title: res.data.message,
            })
            wx.hideLoading();
            return;
          }

          var nopenid = res.data.data.openid
          var nunionid = res.data.data.unionid

          _this.setData({
            openid:nopenid,
            unionid:nunionid,
          })
          // console.log(res.data.data.unionid,222)
          $api.isUserLogin({openid:nopenid,unionid:nunionid})
          .then(res=>{
            wx.hideLoading();
            if (res.data.code != 0) {
              wx.showToast({
                icon: 'none',
                title: res.data.message,
              })
              return;
            }
            
            //有登录
            if(res.data.data.id){
              _this.setData({
                nickName:res.data.data.username,
                avatarUrl:res.data.data.avatar,
              })
              _this.wxlogin()
              
            } else{
              _this.setData({
                status:10,
              })
            }
      
          })
          .catch(err=>{
            wx.hideLoading();
          })
        })
        .catch(err => {
          //请求失败
          wx.hideLoading();
        })
    
      }
    })
  },
  wxlogin(){
    var _this=this;
    wx.showLoading({
      title: '正在登陆',
    })
    var udata = {};
    udata.openid    = this.data.openid;
    udata.unionid   = this.data.unionid;
    udata.nickName  = this.data.nickName;
    udata.avatarUrl = this.data.avatarUrl;

    $api.login(udata)
    .then(res=>{
      //登录成功
      wx.hideLoading();
      if (res.data.code != 0) {
        wx.showToast({
          icon: 'none',
          title: res.data.message,
        })
        return;
      }
      // console.log(res.data.data,'user')
      wx.setStorage({
        key: 'userInfo',
        data: res.data.data,
      })

      wx.setStorage({
        key: 'user',
        data: res.data.data,
      })
      
      //老用户直接进入系统
      if(res.data.data.role != 0){
        app.globalData.follow = 1
        wx.switchTab({
          url: '../index/index',
        })
        
        return;
      }

      //新用户选择报名
      _this.setData({
        status:3,
        player_type:0
      })
      
      wx.setNavigationBarTitle({
        title: '',
      })
    
    })
    .catch(err=>{
      wx.hideLoading();
    })
  },

  login1(){
    logindata.phone=this.data.phone
    logindata.phcode=this.data.phcode
    if (logindata.phone.length<11){
      wx.showToast({
        icon: 'none',
        title: '请输入正确的手机号',
      })
      return
    }
    if (!logindata.phcode) {
      wx.showToast({
        icon: 'none',
        title: '请输入验证码',
      })
      return
    }

    $api.login(logindata).then(res=>{
      if(res.data.code == 0){
        this.setData({
          status:3
        })
      } 
    })
  },
  login2(){
    if (this.data.phone.length<11) {
      wx.showToast({
        icon: 'none',
        title: '请输入正确的手机号',
      })
      return
    }
    if (!this.data.phcode) {
      wx.showToast({
        icon: 'none',
        title: '请输入验证码',
      })
      return
    }
    $api.bindphone({phone:this.data.phone,phcode:this.data.phcode}).then(res=>{
      if(res.data.code == 0){
          this.setData({
            status:3
          })
      }
    })
  },

  uploadImg(path){
    $api.uploadAvatar(path,'file').then(res=>{
      if(res.code == 0){
        this.setData({
          avatarUrl: res.data.url
        })
      }
    })
  },
  
  onCustomerService(){
    wx.openCustomerServiceChat({
      extInfo: {url: 'https://work.weixin.qq.com/kfid/kfcc1bd2a8bddad1dfb'},
      corpId: 'wwc4de479c81db4706',
      success(res) {}
    })
  },
 

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }


})